JMSException
Date: 2015-09-19

javax.jms

## Class JMSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IllegalStateException, InvalidClientIDException, InvalidDestinationException, InvalidSelectorException, JMSSecurityException, MessageEOFException, MessageFormatException, MessageNotReadableException, MessageNotWriteableException, ResourceAllocationException, TransactionInProgressException, TransactionRolledBackException

      public class JMSException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSException(java.lang.String reason)`
    `JMSException(java.lang.String reason, java.lang.String errorCode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorCode()`
    `java.lang.Exception` | `getLinkedException()`
    `void` | `setLinkedException(java.lang.Exception ex)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSException

          public JMSException(java.lang.String reason,
                      java.lang.String errorCode)

    - #### JMSException

          public JMSException(java.lang.String reason)

  - ### Method Detail

    - #### getErrorCode

          public java.lang.String getErrorCode()

    - #### getLinkedException

          public java.lang.Exception getLinkedException()

    - #### setLinkedException

          public void setLinkedException(java.lang.Exception ex)